stages:
  - stage_1
  - stage_2

job1:
  stage: stage_1
  script:
    - AFFECTED_PROJECTS=["ticketing"]
    - echo "AFFECTED_PROJECTS=$AFFECTED_PROJECTS" > affected.env
  artifacts:
    reports:
      dotenv: affected.env

job2:
  stage: stage_2
  script:
    - echo $AFFECTED_PROJECTS
  variables:
    AFFECTED_PROJECTS: $AFFECTED_PROJECTS
  rules:
    - if: $AFFECTED_PROJECTS =~ /ticketing/
      when: always
    - if: $CI_PIPELINE_SOURCE != "merge_request_event"
      when: manual